### File

`packages/components/layout/eui-notifications-v2/eui-notifications.component.ts`

### Metadata

changeDetection | `ChangeDetectionStrategy.Default`
encapsulation | `ViewEncapsulation.None`
selector | `eui-notifications-v2`
imports | `TranslateModule` `EuiNotificationItemV2Component` `EUI_ICON` `EUI_ICON_BUTTON` `EUI_BADGE` `EUI_OVERLAY` `EUI_BUTTON`
styleUrls | `./styles/_index.scss`
templateUrl | `./eui-notifications.component.html`

### Index

###### Properties
currentDayNotifications isOverlayActive oldestNotifications string today unreadNotifications
###### Methods
onClicked onHide onItemClick onItemMarkAsRead onMarkAllAsRead onNoNotificationFoundClick onRefresh onViewAllClick trackByFn
###### Inputs
count dateFormat headerHideLabel headerTitleLabel headerUnreadCountLabel headerUnreadSinceLastCheckCountLabel isHidePanelOnViewAllAction isShowMarkAllAsReadButton isShowMarkAsRead isShowRefreshButton isShowSettingsButton isShowViewAllAction items markAllAsReadLabel markAsReadLabel markAsUnReadLabel noNotificationFoundLabel noNotificationFoundLink refreshLabel settingsLabel totalLabel unreadCount unreadLabel unreadSinceLastCheckCount viewAllNotificationsLabel
###### Outputs
itemClick itemMarkAsReadClick markAllAsReadClick noNotificationFoundClick notificationsClick refreshClick viewAllClick
###### HostBindings
class
###### Accessors
isShowUnreadSinceLastCheckCount

### Inputs

count
Type : `number`
Default value : `null`

dateFormat
Type : `string`
Default value : `'dd/MM/YYYY'`

headerHideLabel
Type : `string`
Default value : `null`

headerTitleLabel
Type : `string`
Default value : `null`

headerUnreadCountLabel
Type : `string`
Default value : `null`

headerUnreadSinceLastCheckCountLabel
Type : `string`
Default value : `null`

isHidePanelOnViewAllAction
Type : `boolean`
Default value : `true`

isShowMarkAllAsReadButton
Type : `boolean`
Default value : `true`

isShowMarkAsRead
Type : `boolean`
Default value : `true`

isShowRefreshButton
Type : `boolean`
Default value : `true`

isShowSettingsButton
Type : `boolean`
Default value : `true`

isShowViewAllAction
Type : `boolean`
Default value : `true`

items
Type : `{}`
Default value : `[]`

markAllAsReadLabel
Type : `string`
Default value : `null`

markAsReadLabel
Type : `string`
Default value : `null`

markAsUnReadLabel
Type : `string`
Default value : `null`

noNotificationFoundLabel
Type : `string`
Default value : `null`

noNotificationFoundLink
Type : `boolean`
Default value : `false`

refreshLabel
Type : `string`
Default value : `null`

settingsLabel
Type : `string`
Default value : `null`

totalLabel
Type : `string`
Default value : `null`

unreadCount
Type : `number`
Default value : `null`

unreadLabel
Type : `string`
Default value : `null`

unreadSinceLastCheckCount
Type : `number`
Default value : `null`

viewAllNotificationsLabel
Type : `string`
Default value : `null`

### Outputs

itemClick
Type : `EventEmitter<UxLinkLegacy>`

itemMarkAsReadClick
Type : `EventEmitter<UxLinkLegacy>`

markAllAsReadClick
Type : `EventEmitter<MouseEvent>`

noNotificationFoundClick
Type : `EventEmitter<void>`

notificationsClick
Type : `EventEmitter<KeyboardEvent | MouseEvent>`

refreshClick
Type : `EventEmitter<Event>`

viewAllClick
Type : `EventEmitter<Event>`

### HostBindings

class
Type : `string`
Default value : `'eui-notifications-v2'`

### Methods

onClicked
`onClicked(event: Event)`
Parameters :
Name | Type | Optional
event | `Event` | No
Returns : `void`

onHide
`onHide()`
Returns : `void`

onItemClick
`onItemClick(link: UxLinkLegacy)`
Parameters :
Name | Type | Optional
link | `UxLinkLegacy` | No
Returns : `void`

onItemMarkAsRead
`onItemMarkAsRead(link: UxLinkLegacy)`
Parameters :
Name | Type | Optional
link | `UxLinkLegacy` | No
Returns : `void`

onMarkAllAsRead
`onMarkAllAsRead(e: MouseEvent)`
Parameters :
Name | Type | Optional
e | `MouseEvent` | No
Returns : `void`

onNoNotificationFoundClick
`onNoNotificationFoundClick()`
Returns : `void`

onRefresh
`onRefresh(event: Event)`
Parameters :
Name | Type | Optional
event | `Event` | No
Returns : `void`

onViewAllClick
`onViewAllClick(event: Event)`
Parameters :
Name | Type | Optional
event | `Event` | No
Returns : `void`

trackByFn
`trackByFn(index: number, item: any)`
Parameters :
Name | Type | Optional
index | `number` | No
item | `any` | No
Returns : `void`

### Properties

currentDayNotifications
Type : `[]`
Default value : `[]`

isOverlayActive
Default value : `false`

oldestNotifications
Type : `[]`
Default value : `[]`

string
Type : `string`
Default value : `'eui-notifications-v2'`
Decorators : `@HostBinding('class')`

today
Type : `Date`
Default value : `new Date()`

unreadNotifications
Type : `[]`
Default value : `[]`

### Accessors

isShowUnreadSinceLastCheckCount
get `isShowUnreadSinceLastCheckCount()`

# results matching ""

# No results matching ""